// Package docs GENERATED BY SWAG; DO NOT EDIT
// This file was generated by swaggo/swag
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/product/create": {
            "post": {
                "description": "企业创建商品,添加到商品库",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "summary": "CreateProduct 创建商品",
                "parameters": [
                    {
                        "type": "string",
                        "description": "登录TOKEN信息",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "创建商品请求结构体",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/http_model.CreateProductRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "创建商品相应结构体",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/http_model.CommonResponse"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/http_model.CreateProductData"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/product/list": {
            "get": {
                "description": "展示企业的商品列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "summary": "ProjectList 商品列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "登录TOKEN信息",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "创建全部商品请求结构体",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/http_model.FullProjectListRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "创建全部商品列表相应结构体",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/http_model.CommonResponse"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/http_model.FullProjectListData"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        },
        "/sendCode": {
            "post": {
                "description": "发送验证码，每次发送到邮箱",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "summary": "sendCode 发送验证码",
                "parameters": [
                    {
                        "description": "发送验证码请求参数结构体",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/http_model.SendCodeRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "发送验证码请求相应结构体",
                        "schema": {
                            "allOf": [
                                {
                                    "$ref": "#/definitions/http_model.CommonResponse"
                                },
                                {
                                    "type": "object",
                                    "properties": {
                                        "data": {
                                            "$ref": "#/definitions/http_model.SendCodeData"
                                        }
                                    }
                                }
                            ]
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "http_model.CommonResponse": {
            "type": "object",
            "properties": {
                "data": {},
                "message": {
                    "type": "string"
                },
                "status": {
                    "type": "integer"
                }
            }
        },
        "http_model.CreateProductData": {
            "type": "object",
            "properties": {
                "product_id": {
                    "description": "商品id",
                    "type": "integer"
                }
            }
        },
        "http_model.CreateProductPhoto": {
            "type": "object",
            "properties": {
                "photo_uid": {
                    "type": "string"
                },
                "photo_url": {
                    "description": "图片或视频url",
                    "type": "string"
                },
                "symbol": {
                    "description": "图片为主图或详情图标志位，1为主图，2为详情图，3为视频",
                    "type": "integer"
                }
            }
        },
        "http_model.CreateProductRequest": {
            "type": "object",
            "properties": {
                "brand_name": {
                    "type": "string"
                },
                "product_detail": {
                    "type": "string"
                },
                "product_id": {
                    "type": "integer"
                },
                "product_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "product_photos": {
                    "description": "商品图片列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/http_model.CreateProductPhoto"
                    }
                },
                "product_price": {
                    "description": "商品价值",
                    "type": "integer"
                },
                "product_type": {
                    "description": "商品类型",
                    "type": "integer"
                },
                "product_url": {
                    "description": "商品链接，可为电商网址、公司官网、大众点评的店铺地址等可以说明商品信息或者品牌信息的线上地址；",
                    "type": "string"
                },
                "shop_address": {
                    "description": "店铺地址，商品类型为线下品牌时需填写",
                    "type": "string"
                }
            }
        },
        "http_model.FullProjectListData": {
            "type": "object",
            "properties": {
                "full_project_pre_view": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/http_model.FullProjectPreview"
                    }
                },
                "total": {
                    "type": "string"
                }
            }
        },
        "http_model.FullProjectListRequest": {
            "type": "object",
            "properties": {
                "page_num": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "project_content_type": {
                    "description": "内容形式",
                    "type": "string"
                },
                "project_fee_forms": {
                    "description": "稿费形式",
                    "type": "string"
                },
                "project_form": {
                    "description": "项目形式",
                    "type": "string"
                },
                "project_platform": {
                    "description": "项目平台",
                    "type": "string"
                },
                "project_status": {
                    "description": "项目状态",
                    "type": "string"
                },
                "project_updated": {
                    "description": "最后操作时间",
                    "type": "string"
                }
            }
        },
        "http_model.FullProjectPreview": {
            "type": "object",
            "properties": {
                "project_content_type": {
                    "description": "内容形式",
                    "type": "string"
                },
                "project_fee_forms": {
                    "description": "稿费形式",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "project_form": {
                    "description": "项目形式",
                    "type": "string"
                },
                "project_id": {
                    "description": "项目ID",
                    "type": "string"
                },
                "project_name": {
                    "description": "项目名",
                    "type": "string"
                },
                "project_platform": {
                    "description": "项目平台",
                    "type": "string"
                },
                "project_status": {
                    "description": "项目状态",
                    "type": "string"
                },
                "project_updated": {
                    "description": "最后操作时间",
                    "type": "string"
                }
            }
        },
        "http_model.SendCodeData": {
            "type": "object"
        },
        "http_model.SendCodeRequest": {
            "type": "object",
            "properties": {
                "phone": {
                    "type": "string"
                }
            }
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "",
	Host:             "",
	BasePath:         "",
	Schemes:          []string{},
	Title:            "",
	Description:      "",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
