package pack

import (
	"github.com/issue9/conv"
	"youngee_b_api/consts"
	"youngee_b_api/model/gorm_model"
	"youngee_b_api/model/http_model"
)

func MGormFullProjectToHttpFullProjectPreview(gormProjectInfos []*gorm_model.ProjectInfo) []*http_model.FullProjectPreview {
	var httpProjectPreviews []*http_model.FullProjectPreview
	for _, gormProjectInfo := range gormProjectInfos {
		httpProjectPreview := GormFullProjectToHttpFullProjectPreview(gormProjectInfo)
		httpProjectPreviews = append(httpProjectPreviews, httpProjectPreview)
	}
	return httpProjectPreviews
}
func GormFullProjectToHttpFullProjectPreview(gormProjectInfo *gorm_model.ProjectInfo) *http_model.FullProjectPreview {
	var feeForms []int64

	return &http_model.FullProjectPreview{
		ProjectId:          conv.MustString(gormProjectInfo.ProjectID),
		ProjectName:        gormProjectInfo.ProjectName,
		ProjectStatus:      consts.GetProjectStatus(gormProjectInfo.ProjectStatus),
		ProjectPlatform:    consts.GetProjectPlatform(gormProjectInfo.ProjectPlatform),
		ProjectForm:        consts.GetProjectForm(gormProjectInfo.ProjectForm),
		ProjectFeeForms:    consts.GetProjectFeeForms(feeForms...),
		ProjectContentType: consts.GetProjectContentType(gormProjectInfo.ProjectType),
		ProjectUpdated:     conv.MustString(gormProjectInfo.UpdatedAt.Unix()),
	}
}
